package com.tzy.framework.pay.service;

import com.tzy.framework.pay.dto.PaymentInfoResponseDto;
import com.tzy.framework.pay.dto.PaymentRequestDto;
import com.tzy.framework.pay.dto.RefundRequestDto;
import com.tzy.framework.pay.dto.ResultMap;

/**
 * 宝付 银行支付
 */
public interface BaoFooBankPayService {

    public ResultMap getBankList(PaymentRequestDto payRequestBody);

    /**
     * 下单
     * @param payRequestBody
     * @throws Exception
     */
    public ResultMap unifiedOrder(PaymentRequestDto payRequestBody);

    /**
     * 查询
     * @param paymentRequestDto
     * @return
     * @throws Exception
     */
    public PaymentInfoResponseDto queryOrder(PaymentRequestDto paymentRequestDto);

    /**
     * 退款
     * @param refundRequestDto
     * @throws Exception
     */
    public ResultMap refund(RefundRequestDto refundRequestDto);


    public ResultMap refundQuery( RefundRequestDto refundRequestDto);

}
